import { VatDtoToVatTypePipe } from './vat-dto-to-vat-type.pipe';
import { vatDtosMock } from '../shared/mockdata';

fdescribe('Pipe: VatDtoToVatTypePipe', () => {
  let pipe: VatDtoToVatTypePipe;

  beforeEach(() => {
    pipe = new VatDtoToVatTypePipe();
  });

  it('should return the vat type (8)', () => {
    const mock = vatDtosMock.find((vat) => vat.vatType === 8);

    const result = pipe.transform(mock);
    expect(result).toBe(8);
  });
});
